libzypp 17.37.10

ZYppCommitPolicy.cc File Reference
`#include <iostream>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/StringV.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp-core/APIConfig.h>`
`#include <zypp/ZYppCommitPolicy.h>`
`#include <zypp-core/base/LogControl.h>`
`#include <zypp-core/TriBool.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/ZYppCallbacks.h>`
`#include <zypp/ZYppFactory.h>`

Go to the source code of this file.

## Classes
class | zypp::ZYppCommitPolicy::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
bool | zypp::singleTransEnabled ()
bool | zypp::isPreUsrmerge (const Pathname &root_r)
bool | zypp::transactionWillUsrmerge ()
bool | zypp::pendingUsrmerge ()
std::ostream & | zypp::operator<< (std::ostream &str, const ZYppCommitPolicy &obj)